package com.ys.bdtp.adm.mvvm.vm.task

import androidx.lifecycle.ViewModel
import com.ys.bdtp.adm.mvvm.model.db.entity.task.ProjectEntity

/**
 * TaskViewModel
 */
class TaskViewModel(private val repo: TaskRepository) : ViewModel() {
    /**
     * 获取项目实例
     *
     * @author bai
     * @param id 项目id
     */
   suspend fun getProject(id: String): ProjectEntity {
        return repo.getProject(id)
    }
}